%global debug_package %{nil}

%global commit d1187b650ac75755ce9ad2f978c1658bde032b38
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global owner Yubico

Name:		yubioath-desktop
Version:	4.3.5
Release:	3.git%{shortcommit}%{?dist}
Summary:	Yubikey tool for generating OATH event-based HOTP and time-based TOTP codes

License:	BSD
URL:		https://github.com/%{owner}/yubioath-desktop
Source:	https://github.com/%{owner}/%{name}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildRequires:		qt5-qtbase-devel qt5-qtdeclarative-devel qt5-qtsvg-devel gcc-c++ python3 desktop-file-utils
Requires:		pyotherside qt5-qtdeclarative qt5-qtquickcontrols pcsc-lite-ccid yubikey-manager

%description
The Yubico Authenticator is a graphical desktop tool and CLI for generating
Open AuTHentication (OATH) event-based HOTP and time-based TOTP one-time
password codes, with the help of a YubiKey that protects the shared secrets.

%prep
%autosetup -n %{name}-%{commit}
sed -i -e "s/python /python3 /" %{name}.pro
sed -i -e "1s|^#.*$|#!%{__python3}|g" build_qrc.py py/yubikey.py

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications resources/yubioath-desktop.desktop

# icons
install -Dpm0644 -t %{buildroot}%{_datadir}/icons/hicolor/128x128/apps resources/icons/yubioath.png

%files
%license COPYING
%doc NEWS README
%{_bindir}/*
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/applications/*

%changelog
* Thu Jan 03 2019 Gerald Cox <gbcox@fedoraproject.org> - 4.3.5-3.gitd1187b6
- Upstream release - rhbz#1655888

* Thu Jan 03 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.3.5-2.git0a8c363
- Trivial fixes

* Mon Dec 31 2018 Gerald Cox <gbcox@fedoraproject.org> - 4.3.5-1.git0a8c363
- Upstream release rhbz#1655888

* Tue Aug 14 2018 Seth Jennings <sethdjennings@gmail.com> - 4.3.3-4
- add python-unversioned-command to BuildRequires

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.3.3-2
- Rebuilt for Python 3.7

* Wed May 2 2018 Seth Jennings <sethdjennings@gmail.com> - 4.3.3-1
- Upstream release

* Sun Mar 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 4.2.0-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.0-2
- Remove obsolete scriptlets

* Fri Dec 15 2017 Seth Jennings <sethdjennings@gmail.com> - 4.2.0-1
- Upstream release.

* Mon Aug 21 2017 Seth Jennings <sethdjennings@gmail.com> - 4.1.3-1
- Upstream release.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 27 2016 Seth Jennings <spartacus06@gmail.com> - 3.0.1-2
- Fix desktop application executable name

* Mon Jul 25 2016 Seth Jennings <spartacus06@gmail.com> - 3.0.1-1
- Upstream release.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Seth Jennings <spartacus06@gmail.com> - 2.3.0-2
- Add pyusb as a required package to avoid python ImportError (#1302895).

* Fri Nov 20 2015 Seth Jennings <spartacus06@gmail.com> - 2.3.0-1
- Upstream release.

* Thu Aug 27 2015 Seth Jennings <spartacus06@gmail.com> - 2.2.1-1
- Upstream release.

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-3
- Use __python2 macro.

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-2
- Add pcsc-lite-ccid requirement

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-1
- Initial package release.
